Skip to main content
`Ctrl`+`K`

# PolynomialModel

class astropy.modeling.polynomial.PolynomialModel(degree, n_models=None, model_set_axis=None, name=None, meta=None, **params)

  Bases: `PolynomialBase`

  Base class for polynomial models.

  Its main purpose is to determine how many coefficients are needed based on the polynomial order and dimension and to provide their default values, names and ordering.

  Attributes Summary

  `degree` | Degree of polynomial.

  Methods Summary

  `get_num_coeff`(ndim) | Return the number of coefficients in one parameter set.

  Attributes Documentation

  degree

    Degree of polynomial.

  Methods Documentation

  get_num_coeff(ndim)

    Return the number of coefficients in one parameter set.